## replicator 2.1.0

=== Makefile ===
DESTDIR=
VERSION=2.1.0
CFLAGS=-O
INSTALL=install -o root -g root

SERVER-SCRIPTS=repli-miniroot repli-bootdisk
SERVER-SCRIPTS-DEST=$(DESTDIR)/usr/sbin

MINIROOT-SCRIPTS=repli-common repli-dialog repli-diskless repli-install\
repli-update repli-sync
#repli-xconfig mouseconf 
MINIROOT-SCRIPTS-DEST=$(DESTDIR)/usr/share/replicator

MINIROOT-FILES=update_rules.default
#pci.lst
MINIROOT-FILES-DEST=$(DESTDIR)/usr/share/replicator

DOC=replicator.conf.example repli-postinst.example\
repli-postinst.diskless.example Replicator-UserGuide.ps\
Replicator-UserGuide.tex copyright TODO 
DOC-DEST=$(DESTDIR)/usr/share/doc/replicator

MAN=replicator.8
MAN-DEST=$(DESTDIR)/usr/share/man/man8/

HTML-DOC-DEST=$(DOC-DEST)/html

CONF-DEST=$(DESTDIR)/etc/replicator

install-server-scripts: $(SERVER-SCRIPTS)
	mkdir -p $(SERVER-SCRIPTS-DEST)
	$(INSTALL) -m 755 $(SERVER-SCRIPTS) $(SERVER-SCRIPTS-DEST)

install-miniroot-scripts:
	mkdir -p $(MINIROOT-SCRIPTS-DEST)
	$(INSTALL) -m 644 $(MINIROOT-SCRIPTS) $(MINIROOT-SCRIPTS-DEST)

install-miniroot-files:
	mkdir -p $(MINIROOT-FILES-DEST)
	$(INSTALL) -m 644 $(MINIROOT-FILES) $(MINIROOT-FILES-DEST)

install-doc: doc
	mkdir -p  $(DOC-DEST)
	$(INSTALL) -m 644 $(DOC) $(DOC-DEST)
	mkdir $(HTML-DOC-DEST)
	$(INSTALL) -m644 Replicator-UserGuide/* $(HTML-DOC-DEST) 

install-conf:
	mkdir -p $(CONF-DEST)
	$(INSTALL) -m644 replicator.conf.example $(CONF-DEST)/replicator.conf
#      	$(INSTALL) -m644 update_rules.example $(CONF-DEST)/update_rules
	$(INSTALL) -m644 rsyncd.conf $(CONF-DEST)

install-man:
	mkdir -p $(MAN-DEST)
	$(INSTALL) -m644 $(MAN) $(MAN-DEST)
	gzip $(MAN-DEST)/$(MAN)
	cd $(MAN-DEST) && ln -s replicator.8.gz repli-miniroot.8.gz
	cd $(MAN-DEST) && ln -s replicator.8.gz repli-bootdisk.8.gz

install: all install-server-scripts install-miniroot-scripts\
install-miniroot-files install-doc install-conf install-man

all : binaries doc 

binaries :
#mouseconf uname.so

mouseconf : boml.o mtest.o
	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^
	strip mouseconf

uname.so : uname.c
	$(CC) -shared -o $@ -fpic uname.c -ldl

%.o : %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $^

clean : doc-clean
	rm -f *.o mouseconf 
	rm -f replicator-*.tgz
	rm -f uname.so

src-clean : 
	rm *~

docdiff:
	egrep  "^#" replicator.conf.example > /tmp/com.conf.example
	egrep  "^#" replicator.conf > /tmp/com.conf
	diff -u /tmp/com.conf /tmp/com.conf.example

doc-clean: latex-clean
	rm -f Replicator-UserGuide.ps.gz Replicator-UserGuide.pdf
	rm -rf Replicator-UserGuide

latex-clean: 
	rm -f Replicator-UserGuide.aux Replicator-UserGuide.dvi Replicator-UserGuide.log Replicator-UserGuide.toc

doc: latex-clean
	latex Replicator-UserGuide.tex
	latex Replicator-UserGuide.tex
	dvips -o Replicator-UserGuide.ps Replicator-UserGuide.dvi
#	gzip Replicator-UserGuide.ps
	pdflatex Replicator-UserGuide.tex
	latex2html -split +1 -local_icons Replicator-UserGuide.tex

#web-doc: doc
#	pdflatex Replicator-UserGuide.tex
#	latex2html -split +1 -local_icons Replicator-UserGuide.tex

=== debian/changelog ===
replicator (2.1.0) unstable; urgency=low

  * added support for woody

 -- Sbastien Chaumat <schaumat@debian.org>  Tue, 29 May 2001 17:31:45 +0200

replicator (2.0.1) unstable; urgency=low

  * Initial Release.
  * Modified Makefile to fill Debian requirements.
  
 -- Sbastien Chaumat <schaumat@debian.org>  Sun, 18 Feb 2001 20:00:32 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: replicator
Section: admin
Priority: optional
Build-Depends: debhelper, tetex-bin, tetex-extra, latex2html
Maintainer: Sbastien Chaumat <schaumat@debian.org>
Standards-Version: 3.1.0

Package: replicator
Architecture: i386
Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-server, grub
Description: automate new computer installations in a networked site.
 Using a nfs-root filesystem and rsync, replicator allow 
 you to non-interactively install a target computer 
 identical to the model computer. It can handle differences 
 in partitioning and hardware.
 .
 Designed for clusters, classrooms and wherever you need 
 identical Debian boxes.
 .
 It's REALLY faster than normal Debian installation method.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) binaries

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## replicator 3.0-2

=== Makefile ===
DESTDIR=
VERSION=3.0
#CFLAGS=-O
INSTALL=install -o root -g root

SHAREDIR=usr/share/replicator
DOCDIR=usr/share/doc/replicator
CONFDIR=etc/replicator

SCRIPTS=repli-miniroot repli-bootdisk repli-update repli-sync

SHARED=repli-common repli-dialog repli-install\
update_rules.default repli-miniroot-potato
#repli-diskless repli-xconfig mouseconf 

DOC=replicator.conf.example\
repli-postinst.example\
repli-sync.conf.example\
Replicator-UserGuide.ps\
Replicator-UserGuide.pdf\
Replicator-UserGuide.lyx copyright TODO 
#repli-postinst.diskless.example 

MAN=replicator.8
MAN-DEST=$(DESTDIR)/usr/share/man/man8/

install-scripts: $(SCRIPTS)
	mkdir -p $(DESTDIR)/usr/sbin
	$(INSTALL) -m 755 $(SCRIPTS) $(DESTDIR)/usr/sbin

install-shared: $(SCRIPTS)
	mkdir -p $(DESTDIR)/$(SHAREDIR)
	$(INSTALL) -m 755 $(SHARED) $(DESTDIR)/$(SHAREDIR)

install-doc:
	mkdir -p  $(DESTDIR)/$(DOCDIR)
	$(INSTALL) -m 644 $(DOC) $(DESTDIR)/$(DOCDIR)


#	mkdir $(HTML-DOC-DEST)
#	$(INSTALL) -m644 Replicator-UserGuide/* $(HTML-DOC-DEST) 

install-conf:
	mkdir -p $(DESTDIR)/$(CONFDIR)
	$(INSTALL) -m644 replicator.conf.example $(DESTDIR)/$(CONFDIR)/replicator.conf
	$(INSTALL) -m644 rsyncd.conf $(DESTDIR)/$(CONFDIR)
#to add
#	$(INSTALL) -m644 repli-sync.conf.example $(DESTDIR)/$(CONFDIR)

install-man:
	mkdir -p $(MAN-DEST)
	$(INSTALL) -m644 $(MAN) $(MAN-DEST)
	gzip $(MAN-DEST)/$(MAN)
	cd $(MAN-DEST) && ln -s replicator.8.gz repli-miniroot.8.gz
	cd $(MAN-DEST) && ln -s replicator.8.gz repli-bootdisk.8.gz

install: all install-scripts install-shared install-doc install-conf install-man 
#install-kernel

all : binaries 

binaries :
#mouseconf uname.so

mouseconf : boml.o mtest.o
	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^
	strip mouseconf

uname.so : uname.c
	$(CC) -shared -o $@ -fpic uname.c -ldl

%.o : %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $^

clean : doc-clean
	rm -f *.o mouseconf 
	rm -f replicator-*.tgz
	rm -f uname.so

src-clean : 
	rm *~

docdiff:
	egrep  "^#" replicator.conf.example > /tmp/com.conf.example
	egrep  "^#" replicator.conf > /tmp/com.conf
	diff -u /tmp/com.conf /tmp/com.conf.example

#doc-clean: latex-clean
#	rm -f Replicator-UserGuide.ps Replicator-UserGuide.pdf
#	rm -rf Replicator-UserGuide

latex-clean: 
	rm -f Replicator-UserGuide.aux Replicator-UserGuide.dvi Replicator-UserGuide.log Replicator-UserGuide.toc

#doc: latex-clean
#	latex Replicator-UserGuide.tex
#	latex Replicator-UserGuide.tex
#	dvips -o Replicator-UserGuide.ps Replicator-UserGuide.dvi
#	gzip Replicator-UserGuide.ps
#	pdflatex Replicator-UserGuide.tex
#	latex2html -split +1 -local_icons Replicator-UserGuide.tex

#web-doc: doc
#	pdflatex Replicator-UserGuide.tex
#	latex2html -split +1 -local_icons Replicator-UserGuide.tex

=== debian/changelog ===
replicator (3.0-2) unstable; urgency=high

  * fixed network configuration when not using dhcp (Bernd Harmsen)

 -- Sebastien Chaumat <schaumat@debian.org>  Fri, 20 Dec 2002 21:17:14 +0100

replicator (3.0-1) unstable; urgency=low

  * increasing version number in unstable to allow uploading 3.0 in stable

-- Sebastien Chaumat <schaumat@debian.org>  Wed, 18 Dec 2002 17:51:08 +0100

replicator (3.0) unstable; urgency=high

  * now works with woody (closes: #155656)
  * documentation updated to reflect woody support
  * bugfixe : parsing of @networks
  * /etc/replicator* removed from exlude list
  * $mkfs added to choose filesystem on target
  * repli-dialog show the name of installation device and $mkfs
  * better handling of kernel keymap (woody compliant)
  * when partitionning, the first 512 bytes of the partitions are filed with 0 (Bertrand Louis-Lucas)
  * moved all scripts to /usr/sbin (on miniroot-server and in miniroot) : closes #106311
  * closes: #112557

 -- Sebastien Chaumat <schaumat@debian.org>  Sun, 17 Nov 2002 12:49:49 +0100

replicator (2.1.1) unstable; urgency=low

  * added caller support in &error (Ferran Jorba)
  * fixed bad generation of /etc/network/interfaces in the dhcp case
  * fixed the handling of /etc/modules
  * closes: Bug#97917 (ITP)
  * removed obsolete $domainname variable from replicator.conf
  * added more verbosity in the function find_host_conf
  * doc : added a comment about repli-sync using the "--real" option closes:Bug#106311
  * added Depend: hostname
  * new handling method of lilo.conf and fstab
  * improved serial and multiple target support (Loic)

 -- Sebastien Chaumat <schaumat@debian.org>  Wed,  5 Sep 2001 03:18:24 +0200

=== debian/control ===
Source: replicator
Section: admin
Priority: optional
Build-Depends: debhelper
Maintainer: Sebastien Chaumat <schaumat@debian.org>
Standards-Version: 3.5.2 

Package: replicator
Architecture: i386
Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-server, grub, debootstrap (>= 0.1.16.3), dpkg-repack
Suggests : cfengine
Description: automate new computer installations in a networked site.
 Using a nfs-root filesystem and rsync, replicator allow 
 you to non-interactively install a target computer 
 identical to the model computer. It can handle differences 
 in partitioning and hardware.
 .
 Designed for clusters, classrooms and wherever you need 
 identical Debian boxes.
 .
 It's REALLY faster than normal Debian installation method.

=== debian/rules ===
--- 
+++ 
@@ -52,11 +52,11 @@
 #	dh_installcron
 	dh_installmanpages
 #	dh_installinfo
-#	dh_undocumented
+	dh_undocumented -preplicator repli-sync.8 repli-update.8
 	dh_installchangelogs 
 	dh_link
 	dh_strip
-	dh_compress
+	dh_compress -XReplicator-UserGuide.pdf
 	dh_fixperms
 	# You may want to make some executables suid here.
 #	dh_suidregister

## replicator 3.1-sarge-1.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 DESTDIR=
 VERSION=3.0
-#CFLAGS=-O
 INSTALL=install -o root -g root
 
 SHAREDIR=usr/share/replicator
@@ -9,16 +8,14 @@
 
 SCRIPTS=repli-miniroot repli-bootdisk repli-update repli-sync
 
-SHARED=repli-common repli-dialog repli-install\
-update_rules.default repli-miniroot-potato
+SHARED=repli-common repli-dialog repli-install repli-miniroot-potato\
+update_rules.default
 #repli-diskless repli-xconfig mouseconf 
 
 DOC=replicator.conf.example\
-repli-postinst.example\
 repli-sync.conf.example\
 Replicator-UserGuide.ps\
-Replicator-UserGuide.pdf\
-Replicator-UserGuide.lyx copyright TODO 
+Replicator-UserGuide.lyx copyright
 #repli-postinst.diskless.example 
 
 MAN=replicator.8
@@ -30,15 +27,12 @@
 
 install-shared: $(SCRIPTS)
 	mkdir -p $(DESTDIR)/$(SHAREDIR)
-	$(INSTALL) -m 755 $(SHARED) $(DESTDIR)/$(SHAREDIR)
+	$(INSTALL) -m 644 $(SHARED) $(DESTDIR)/$(SHAREDIR)
 
 install-doc:
 	mkdir -p  $(DESTDIR)/$(DOCDIR)
 	$(INSTALL) -m 644 $(DOC) $(DESTDIR)/$(DOCDIR)
 
-
-#	mkdir $(HTML-DOC-DEST)
-#	$(INSTALL) -m644 Replicator-UserGuide/* $(HTML-DOC-DEST) 
 
 install-conf:
 	mkdir -p $(DESTDIR)/$(CONFDIR)
@@ -53,14 +47,11 @@
 	gzip $(MAN-DEST)/$(MAN)
 	cd $(MAN-DEST) && ln -s replicator.8.gz repli-miniroot.8.gz
 	cd $(MAN-DEST) && ln -s replicator.8.gz repli-bootdisk.8.gz
+	cd $(MAN-DEST) && ln -s replicator.8.gz repli-sync.8.gz
+	cd $(MAN-DEST) && ln -s replicator.8.gz repli-update.8.gz
 
-install: all install-scripts install-shared install-doc install-conf install-man 
+install: install-scripts install-shared install-doc install-conf install-man 
 #install-kernel
-
-all : binaries 
-
-binaries :
-#mouseconf uname.so
 
 mouseconf : boml.o mtest.o
 	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^
@@ -73,23 +64,20 @@
 	$(CC) -c $(CPPFLAGS) $(CFLAGS) $^
 
 clean : doc-clean
-	rm -f *.o mouseconf 
-	rm -f replicator-*.tgz
-	rm -f uname.so
 
 src-clean : 
-	rm *~
+	rm -rf *~
+
+build-lab : src-clean
+	rm -rf CVS debian/CVS
+	rm -rf debian/tmp
 
 docdiff:
 	egrep  "^#" replicator.conf.example > /tmp/com.conf.example
 	egrep  "^#" replicator.conf > /tmp/com.conf
 	diff -u /tmp/com.conf /tmp/com.conf.example
 
-#doc-clean: latex-clean
-#	rm -f Replicator-UserGuide.ps Replicator-UserGuide.pdf
-#	rm -rf Replicator-UserGuide
-
-latex-clean: 
+doc-clean: 
 	rm -f Replicator-UserGuide.aux Replicator-UserGuide.dvi Replicator-UserGuide.log Replicator-UserGuide.toc
 
 #doc: latex-clean

=== debian/changelog ===
replicator (3.1-sarge-1.3) unstable; urgency=critical

  * removed dpkg-repack from the miniroot (breaks repli-miniroot since
    last dpkg-repack version) (Ferran Jorba)
  * minor typo fixes (Ferran Jorba)
  * added instructions to remove an half installed miniroot 
  * drop the pdf documentation
  * updated the doc about using 2.6 kernel on the bootdisk

 -- Sebastien Chaumat <schaumat@debian.org>  Wed,  1 Sep 2004 16:31:34 +0200

replicator (3.1-sarge-1.2) unstable; urgency=critical

  * fixed conflicting loading of configuration file between 
    repli-install and repli-sync (closes: #268175)
  * secured creation of temporary files in repli-install
  * fixed the automatic generation of repli-sync.conf
  * some minor fixes
  
 -- Sebastien Chaumat <schaumat@debian.org>  Sun, 29 Aug 2004 16:47:38 +0200

replicator (3.1-sarge-1.1) unstable; urgency=critical

  * fixed bad call to postinst instead of preinst (closes: #268354)
 
 -- Sebastien Chaumat <schaumat@debian.org>  Fri, 27 Aug 2004 14:07:31 +0200
 

replicator (3.1-sarge-1) unstable; urgency=critical

  * sarge compliance (closes: #264540) 
  * allow grub support on the target
  * cleanings and typo fixes (closes: #265422)
  * you can now change the filesystem for each partition separately
  * many options to reduce interactivity (even completely)
  * $host_supp is now also used to build the miniroot /etc/host (Robert A Nader)
  * resolv.conf is now copied from the miniroot server inside the miniroot (Robert A Nader)
  * add a warning about using (U)DMA during replication
  * lilo.conf always generated using a template

 -- Sebastien Chaumat <schaumat@debian.org>  Thu, 19 Aug 2004 14:35:48 +0200

replicator (3.0-3) unstable; urgency=low

  * fixed bug in repli-sync : $confdir is no more synchronized (to prevent data loss)
  * support for devfs on the model
  * code cleaning

 -- Sebastien Chaumat <schaumat@debian.org>  Sun, 27 Apr 2003 23:02:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Build-Depends: debhelper
 Maintainer: Sebastien Chaumat <schaumat@debian.org>
-Standards-Version: 3.5.2 
+Standards-Version: 3.6.1
 
 Package: replicator
 Architecture: i386
 Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-server, grub, debootstrap (>= 0.1.16.3), dpkg-repack
 Suggests : cfengine
 Description: automate new computer installations in a networked site.
- Using a nfs-root filesystem and rsync, replicator allow 
+ Using a nfs-root filesystem and rsync, replicator allows 
  you to non-interactively install a target computer 
  identical to the model computer. It can handle differences 
  in partitioning and hardware.

## replicator 3.1-sarge-1.5

=== debian/changelog ===
replicator (3.1-sarge-1.5) unstable; urgency=critical

  * switch from debootstrap to cdebootstrap : repli-miniroot won't be broken
    by the changing dependencies in Debian testing anymore

 -- Sebastien Chaumat <schaumat@debian.org>  Sat, 30 Apr 2005 23:16:59 +0200

replicator (3.1-sarge-1.4) unstable; urgency=critical

  * install libdb4.1 in repli-miniroot (libdb4.0 is no more available)
  * workaround the console-common "bad return value" bug (#272480)
  * re-added pdf documentation (correctly formated) on user request
  * fixed possible conflict on function declaration (&error) in repli-bootdisk

 -- Sebastien Chaumat <schaumat@debian.org>  Sun, 06 Feb 2005 12:48:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: replicator
 Architecture: i386
-Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-server, grub, debootstrap (>= 0.1.16.3), dpkg-repack
+Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-kernel-server, grub, cdebootstrap
 Suggests : cfengine
 Description: automate new computer installations in a networked site.
  Using a nfs-root filesystem and rsync, replicator allows 
@@ -18,5 +18,5 @@
  Designed for clusters, classrooms and wherever you need 
  identical Debian boxes.
  .
- It's REALLY faster than normal Debian installation method. 
+ It is REALLY MUCH faster than normal Debian installation method.

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,6 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-
-	# Add here commands to compile the package.
-	$(MAKE) binaries
-
 	touch build-stamp
 
 clean:
@@ -23,7 +19,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## replicator 3.1-sarge-1.6

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 DOC=replicator.conf.example\
 repli-sync.conf.example\
 Replicator-UserGuide.ps\
+Replicator-UserGuide.pdf\
 Replicator-UserGuide.lyx copyright
 #repli-postinst.diskless.example

=== debian/changelog ===
replicator (3.1-sarge-1.6) unstable; urgency=high

  * Non-maintainer upload.
  * Fix syntax error (extra space) in debian/control.
  * Swap binary-arch and binary-indep targets in debian/rules; since the
    package is "Architecture: i386" binary-arch can't be empty.
    (Closes: #374551)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 27 Jun 2006 22:33:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: replicator
 Architecture: i386
 Depends: rsync (>= 2.3.2), ${perl:Depends}, wget, dialog, nfs-kernel-server, grub, cdebootstrap
-Suggests : cfengine
+Suggests: cfengine
 Description: automate new computer installations in a networked site.
  Using a nfs-root filesystem and rsync, replicator allows 
  you to non-interactively install a target computer

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,8 @@
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 
 
-# Build architecture-independent files here.
-binary-indep: build install
+# Build architecture-dependent files here.
+binary-arch: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot
@@ -64,8 +64,8 @@
 	dh_md5sums
 	dh_builddeb
 
-# Build architecture-dependent files here.
-binary-arch:
+# Build architecture-independent files here.
+binary-indep:
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
